diff --git a/doc/src/sgml/release-14.sgml b/doc/src/sgml/release-14.sgml
index 21659bd184..426d502a63 100644
--- a/doc/src/sgml/release-14.sgml
+++ b/doc/src/sgml/release-14.sgml
@@ -291,6 +291,32 @@ Author: Tom Lane <tgl@sss.pgh.pa.us>
     <listitem>
 <!--
 Author: Tom Lane <tgl@sss.pgh.pa.us>
+2020-11-04 [9e38c2bb5] Declare assorted array functions using anycompatible not
+-->
+
+     <para>
+      User-defined aggregates that reference some built-in array functions
+      will need to be recreated (Tom Lane)
+     </para>
+
+     <para>
+      Specifically, user-defined aggregates that use the functions <link
+      linkend="functions-array"><function>array_append()</function></link>,
+      <function>array_prepend()</function>,
+      <function>array_cat()</function>,
+      <function>array_position()</function>,
+      <function>array_positions()</function>,
+      <function>array_remove()</function>,
+      <function>array_replace()</function>, or <link
+      linkend="functions-math"><function>width_bucket()</function></link>
+      as their state transition function must be dropped before
+      upgrading and recreated once the upgrade is complete.
+     </para>
+    </listitem>
+
+    <listitem>
+<!--
+Author: Tom Lane <tgl@sss.pgh.pa.us>
 2020-09-17 [76f412ab3] Remove factorial operators, leaving only the factorial()
 -->
 
